DefaultHelpBroker
Keywords: javax.help.DefaultHelpBroker class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class DefaultHelpBroker

    java.lang.Object
      javax.help.DefaultHelpBroker

All Implemented Interfaces:
  java.util.EventListener, HelpBroker, java.awt.event.KeyListener

public class DefaultHelpBroker
extends java.lang.Object
implements HelpBroker, java.awt.event.KeyListener

An implmentation of the HelpBroker interface

Constructor Summary
`DefaultHelpBroker()` Zero-argument constructor.
`DefaultHelpBroker(HelpSet hs)` Constructor

Method Summary
`void` | `enableHelp(java.awt.Component comp, java.lang.String id, HelpSet hs)` Enables help for a Component.
`void` | `enableHelp(java.awt.MenuItem comp, java.lang.String id, HelpSet hs)` Enables help for a MenuItem.
`void` | `enableHelpKey(java.awt.Component comp, java.lang.String id, HelpSet hs)` Enables the Help key on a Component.
`void` | `enableHelpKey(java.awt.Component comp, java.lang.String id, HelpSet hs, java.lang.String presentation, java.lang.String presentationName)` Enables the Help key on a Component.
`void` | `enableHelpOnButton(java.awt.Component comp, java.lang.String id, HelpSet hs)` Enables help for a Component.
`void` | `enableHelpOnButton(java.awt.MenuItem comp, java.lang.String id, HelpSet hs)` Enables help for a MenuItem.
`void` | `enableHelpOnButton(java.lang.Object obj, java.lang.String id, HelpSet hs, java.lang.String presentation, java.lang.String presentationName)` Enables help for a Component.
`Map.ID` | `getCurrentID()` Determines which ID is displayed (if any).
`java.net.URL` | `getCurrentURL()` Determines which URL is displayed.
`java.lang.String` | `getCurrentView()` Determines the current navigator.
`java.awt.Font` | `getFont()` Gets the font for this HelpBroker.
`HelpSet` | `getHelpSet()` Returns the default HelpSet
`java.util.Locale` | `getLocale()` Gets the locale of this component.
`java.awt.Point` | `getLocation()` Requests the location of the presentation.
`int` | `getScreen()` Requests the screen of the presentation.
`java.awt.Dimension` | `getSize()` Requests the size of the presentation.
`WindowPresentation` | `getWindowPresentation()` Get the WindowPresentation for this HelpBroker
`void` | `initPresentation()` Initializes the presentation.
`boolean` | `isDisplayed()` Determines if the presentation is displayed.
`boolean` | `isViewDisplayed()` Determines if the current view is visible.
`void` | `keyPressed(java.awt.event.KeyEvent e)` Invoked when a key is pressed.
`void` | `keyReleased(java.awt.event.KeyEvent e)` Invoked when a key is released.
`void` | `keyTyped(java.awt.event.KeyEvent e)` Invoked when a key is typed.
`void` | `setActivationObject(java.lang.Object comp)` Set the activation window from given Component or MenuItem.
`void` | `setActivationWindow(java.awt.Window window)` Set the activation window.
`void` | `setCurrentID(Map.ID id)` Displays this ID--HelpVisitListeners are notified.
`void` | `setCurrentID(java.lang.String id)` Shows this ID as content relative to the (top) HelpSet for the HelpBroker instance--HelpVisitListeners are notified.
`void` | `setCurrentURL(java.net.URL url)` Displays this URL.
`void` | `setCurrentView(java.lang.String name)` Set the currentView to the navigator with the same name as the `name` parameter.
`void` | `setDisplayed(boolean b)` Displays the presentation to the user.
`void` | `setFont(java.awt.Font f)` Sets the font for this this HelpBroker.
`void` | `setHelpSet(HelpSet hs)` Changes the HelpSet for this broker.
`void` | `setHelpSetPresentation(HelpSet.Presentation hsPres)` Set the presentation attributes from a HelpSet.Presentation.
`void` | `setLocale(java.util.Locale l)` Sets the locale of this HelpBroker.
`void` | `setLocation(java.awt.Point p)` Requests the presentation be located at a given position.
`void` | `setScreen(int screen)` Requests the presentation be set to a given screen.
`void` | `setSize(java.awt.Dimension d)` Requests the presentation be set to a given size.
`void` | `setViewDisplayed(boolean displayed)` Hides/Shows view.
`void` | `showID(Map.ID id, java.lang.String presentation, java.lang.String presentationName)` Show this ID.
`void` | `showID(java.lang.String id, java.lang.String presentation, java.lang.String presentationName)` Shows this ID.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHelpBroker

    public DefaultHelpBroker(HelpSet hs)

  Constructor

### DefaultHelpBroker

    public DefaultHelpBroker()

  Zero-argument constructor. It should be followed by a setHelpSet() invocation.

Method Detail

### getWindowPresentation

    public WindowPresentation getWindowPresentation()

  Get the WindowPresentation for this HelpBroker

### getHelpSet

    public HelpSet getHelpSet()

  Returns the default HelpSet

  Specified by:
    `getHelpSet` in interface `HelpBroker`
  Returns:
    The HelpSet this JavaHelp is presenting.

### setHelpSet

    public void setHelpSet(HelpSet hs)

  Changes the HelpSet for this broker.

  Specified by:
    `setHelpSet` in interface `HelpBroker`
  Parameters:
    `hs` - The HelpSet to set for this broker. A null hs is valid parameter.

### setHelpSetPresentation

    public void setHelpSetPresentation(HelpSet.Presentation hsPres)

  Set the presentation attributes from a HelpSet.Presentation. The HelpSet.Presentation must be in the current HelpSet.

  Specified by:
    `setHelpSetPresentation` in interface `HelpBroker`
  Parameters:
    `hsPres` - The HelpSet.Presentation
  Since:
    2.0

### getLocale

    public java.util.Locale getLocale()

  Gets the locale of this component.

  Specified by:
    `getLocale` in interface `HelpBroker`
  Returns:
    This component's locale. If this component does not have a locale, the defaultLocale is returned.
  See Also:
    `setLocale(java.util.Locale)`

### setLocale

    public void setLocale(java.util.Locale l)

  Sets the locale of this HelpBroker. The locale is propagated to the presentation.

  Specified by:
    `setLocale` in interface `HelpBroker`
  Parameters:
    `l` - The locale to become this component's locale. A null locale is the same as the defaultLocale.
  See Also:
    `getLocale()`

### getFont

    public java.awt.Font getFont()

  Gets the font for this HelpBroker.

  Specified by:
    `getFont` in interface `HelpBroker`

### setFont

    public void setFont(java.awt.Font f)

  Sets the font for this this HelpBroker.

  Specified by:
    `setFont` in interface `HelpBroker`
  Parameters:
    `f` - The font.

### setCurrentView

    public void setCurrentView(java.lang.String name)

  Set the currentView to the navigator with the same name as the `name` parameter.

  Specified by:
    `setCurrentView` in interface `HelpBroker`
  Parameters:
    `name` - The name of the navigator to set as the current view. If nav is null or not a valid Navigator in this HelpBroker then an IllegalArgumentException is thrown.
  Throws:
    `java.lang.IllegalArgumentException` - if nav is null or not a valid Navigator.

### getCurrentView

    public java.lang.String getCurrentView()

  Determines the current navigator.

  Specified by:
    `getCurrentView` in interface `HelpBroker`
  Returns:
    The name of the current navigational view.

### initPresentation

    public void initPresentation()

  Initializes the presentation. This method allows the presentation to be initialized but not displayed. Typically this would be done in a separate thread to reduce the intialization time.

  Specified by:
    `initPresentation` in interface `HelpBroker`

### setDisplayed

    public void setDisplayed(boolean b)

  Displays the presentation to the user.

  Specified by:
    `setDisplayed` in interface `HelpBroker`
  Parameters:
    `b` - Makes the presentation visible or not.

### isDisplayed

    public boolean isDisplayed()

  Determines if the presentation is displayed.

  Specified by:
    `isDisplayed` in interface `HelpBroker`
  Returns:
    Whether the presentation is currently visible.

### setLocation

    public void setLocation(java.awt.Point p)

  Requests the presentation be located at a given position.

  Specified by:
    `setLocation` in interface `HelpBroker`

### getLocation

    public java.awt.Point getLocation()

  Requests the location of the presentation.

  Specified by:
    `getLocation` in interface `HelpBroker`

### setSize

    public void setSize(java.awt.Dimension d)

  Requests the presentation be set to a given size.

  Specified by:
    `setSize` in interface `HelpBroker`

### getSize

    public java.awt.Dimension getSize()
                               throws UnsupportedOperationException

  Requests the size of the presentation.

  Specified by:
    `getSize` in interface `HelpBroker`
  Throws:
    `UnsupportedOperationException`

### setScreen

    public void setScreen(int screen)

  Requests the presentation be set to a given screen.

  Specified by:
    `setScreen` in interface `HelpBroker`

### getScreen

    public int getScreen()
                  throws UnsupportedOperationException

  Requests the screen of the presentation.

  Specified by:
    `getScreen` in interface `HelpBroker`
  Throws:
    `UnsupportedOperationException`

### setViewDisplayed

    public void setViewDisplayed(boolean displayed)

  Hides/Shows view.

  Specified by:
    `setViewDisplayed` in interface `HelpBroker`
  Parameters:
    `displayed` - Make the navigational views visible or not.

### isViewDisplayed

    public boolean isViewDisplayed()

  Determines if the current view is visible.

  Specified by:
    `isViewDisplayed` in interface `HelpBroker`
  Returns:
    Whether the navigational views are visible.

### showID

    public void showID(java.lang.String id,
                       java.lang.String presentation,
                       java.lang.String presentationName)
                throws BadIDException

  Shows this ID.

  Specified by:
    `showID` in interface `HelpBroker`
  Parameters:
    `id` - A string that identifies the topic to show for the loaded (top) HelpSet
    `presentation` - The Presentation class to display the Help in.
    `presentationName` - The name of a Presentation section from a HelpSet to use. For some Presentations this will also be the name to apply to the Presentation.
  Throws:
    `BadIDException` - The ID is not valid for the HelpSet
    `java.lang.IllegalArgumentException` - if presentation is not valid
  See Also:
    `Presentation`

### showID

    public void showID(Map.ID id,
                       java.lang.String presentation,
                       java.lang.String presentationName)
                throws InvalidHelpSetContextException

  Show this ID.

  Specified by:
    `showID` in interface `HelpBroker`
  Parameters:
    `id` - a Map.ID indicating the URL to display
    `presentation` - The Presentation class to display the Help in.
    `presentationName` - The name of a Presentation section from a HelpSet to use. For some Presentations this will also be the name to apply to the Presentation.
  Throws:
    `InvalidHelpSetContextException` - if the current helpset does not contain id.helpset
  See Also:
    `Presentation`

### setCurrentID

    public void setCurrentID(java.lang.String id)
                      throws BadIDException

  Shows this ID as content relative to the (top) HelpSet for the HelpBroker instance--HelpVisitListeners are notified.

  Specified by:
    `setCurrentID` in interface `HelpBroker`
  Parameters:
    `id` - A string that identifies the topic to show for the loaded (top) HelpSet
  Throws:
    `BadIDException` - The ID is not valid for the HelpSet

### setCurrentID

    public void setCurrentID(Map.ID id)
                      throws InvalidHelpSetContextException

  Displays this ID--HelpVisitListeners are notified.

  Specified by:
    `setCurrentID` in interface `HelpBroker`
  Parameters:
    `id` - a Map.ID indicating the URL to display
  Throws:
    `InvalidHelpSetContextException` - if the current helpset does not contain id.helpset
  See Also:
    `HelpModel.setCurrentID(javax.help.Map.ID)`

### getCurrentID

    public Map.ID getCurrentID()

  Determines which ID is displayed (if any).

  Specified by:
    `getCurrentID` in interface `HelpBroker`
  Returns:
    The ID being shown.

### setCurrentURL

    public void setCurrentURL(java.net.URL url)

  Displays this URL. HelpVisitListeners are notified. The currentID changes if there is a mathing ID for this URL

  Specified by:
    `setCurrentURL` in interface `HelpBroker`
  Parameters:
    `url` - The url to display. A null URL is a valid url.

### getCurrentURL

    public java.net.URL getCurrentURL()

  Determines which URL is displayed.

  Specified by:
    `getCurrentURL` in interface `HelpBroker`
  Returns:
    The URL being shown.

### enableHelpKey

    public void enableHelpKey(java.awt.Component comp,
                              java.lang.String id,
                              HelpSet hs)

  Enables the Help key on a Component. This method works best when the component is the rootPane of a JFrame in Swing implementations, or a java.awt.Window (or subclass thereof) in AWT implementations. This method sets the default helpID and HelpSet for the Component and registers keyboard actions to trap the "Help" keypress. When the "Help" key is pressed, if the object with the current focus has a helpID, the helpID is displayed. otherwise the default helpID is displayed.

  Specified by:
    `enableHelpKey` in interface `HelpBroker`
  Parameters:
    `comp` - the Component to enable the keyboard actions on.
    `id` - the default HelpID to be displayed
    `hs` - the default HelpSet to be displayed. If hs is null the default HelpSet will be assumed.
  See Also:
    `getHelpKeyActionListener`, `enableHelpKey(Component, String, HelpSet, String, String);`

### enableHelpKey

    public void enableHelpKey(java.awt.Component comp,
                              java.lang.String id,
                              HelpSet hs,
                              java.lang.String presentation,
                              java.lang.String presentationName)

  Enables the Help key on a Component. This method works best when the component is the rootPane of a JFrame in Swing implementations, or a java.awt.Window (or subclass thereof) in AWT implementations. This method sets the default helpID and HelpSet for the Component and registers keyboard actions to trap the "Help" keypress. When the "Help" key is pressed, if the object with the current focus has a helpID, the helpID is displayed. otherwise the default helpID is displayed.

  Specified by:
    `enableHelpKey` in interface `HelpBroker`
  Parameters:
    `comp` - the Component to enable the keyboard actions on.
    `id` - the default HelpID to be displayed
    `hs` - the default HelpSet to be displayed. If hs is null the default HelpSet from the HelpBroker is assummed. null is not valid if presenation is not null.
    `presentation` - The Presentation class to display the content in. If presentation is null the HelpBroker is used to display the content.
    `presentationName` - The name of a Presentation section to control the display of the content. Also for some Presenations this will be used to "name" the Presentation.
  Throws:
    `java.lang.IllegalArgumentException` - if presentation != null and hs == null
  See Also:
    `getHelpKeyActionListener`, `enableHelpKey(Component, String, HelpSet);`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Invoked when a key is typed. This event occurs when a key press is followed by a key release. Not intended to be overridden or extended.

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Invoked when a key is pressed. Not intended to be overridden or extended.

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Invoked when a key is released. Not intended to be overridden or extended.

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### enableHelp

    public void enableHelp(java.awt.Component comp,
                           java.lang.String id,
                           HelpSet hs)

  Enables help for a Component. This method sets a component's helpID and HelpSet.

  Specified by:
    `enableHelp` in interface `HelpBroker`
  Parameters:
    `comp` - the Component to set the id and hs on.
    `id` - the String value of an Map.ID.
    `hs` - the HelpSet the id is in. If hs is null the default HelpSet will be assumed.
  See Also:
    `CSH.setHelpID`, `CSH.setHelpSet`

### enableHelp

    public void enableHelp(java.awt.MenuItem comp,
                           java.lang.String id,
                           HelpSet hs)

  Enables help for a MenuItem. This method sets a component's helpID and HelpSet.

  Specified by:
    `enableHelp` in interface `HelpBroker`
  Parameters:
    `comp` - the MenuItem to set the id and hs on.
    `id` - the String value of an Map.ID.
    `hs` - the HelpSet the id is in. If hs is null the default HelpSet will be assumed.
  See Also:
    `CSH.setHelpID`, `CSH.setHelpSet`

### enableHelpOnButton

    public void enableHelpOnButton(java.awt.Component comp,
                                   java.lang.String id,
                                   HelpSet hs)

  Enables help for a Component. This method sets a Component's helpID and HelpSet and adds an ActionListener. When an action is performed it displays the Component's helpID and HelpSet in the default viewer.

  Specified by:
    `enableHelpOnButton` in interface `HelpBroker`
  Parameters:
    `comp` - the Component to set the id and hs on. If the Component is not a javax.swing.AbstractButton or a java.awt.Button an IllegalArgumentException is thrown.
    `id` - the String value of an Map.ID.
    `hs` - the HelpSet the id is in. If hs is null the default HelpSet will be assumed.
  Throws:
    `java.lang.IllegalArgumentException` - if comp is null.
  See Also:
    `CSH.setHelpID`, `CSH.setHelpSet`, `AbstractButton`, `Button`

### enableHelpOnButton

    public void enableHelpOnButton(java.awt.MenuItem comp,
                                   java.lang.String id,
                                   HelpSet hs)

  Enables help for a MenuItem. This method sets a Component's helpID and HelpSet and adds an ActionListener. When an action is performed it displays the Component's helpID and HelpSet in the default viewer.

  Specified by:
    `enableHelpOnButton` in interface `HelpBroker`
  Parameters:
    `comp` - the MenuItem to set the id and hs on. If comp is null an IllegalAgrumentException is thrown.
    `id` - the String value of an Map.ID.
    `hs` - the HelpSet the id is in. If hs is null the default HelpSet will be assumed.
  Throws:
    `java.lang.IllegalArgumentException` - if comp is null.
  See Also:
    `CSH.setHelpID`, `CSH.setHelpSet`, `MenuItem`

### enableHelpOnButton

    public void enableHelpOnButton(java.lang.Object obj,
                                   java.lang.String id,
                                   HelpSet hs,
                                   java.lang.String presentation,
                                   java.lang.String presentationName)

  Enables help for a Component. This method sets a Component's helpID and HelpSet and adds an ActionListener. When an action is performed it displays the Component's helpID and HelpSet in the default viewer.

  Specified by:
    `enableHelpOnButton` in interface `HelpBroker`
  Parameters:
    `id` - the String value of an Map.ID.
    `hs` - the HelpSet the id is in. If hs is null the default HelpSet will be assumed.
    `presentation` - The Presentation class to display the Help in.
    `presentationName` - The name of a Presentation section from a HelpSet to use. For some Presentations this will also be the name to apply to the Presentation.
  Throws:
    `java.lang.IllegalArgumentException` - if comp is null.
  See Also:
    `CSH.setHelpID`, `CSH.setHelpSet`, `AbstractButton`, `Button`

### setActivationObject

    public void setActivationObject(java.lang.Object comp)

  Set the activation window from given Component or MenuItem. It find Window component in the component tree from given Component or MenuItem end call

      setActivationWindow

  .

  Since:
    1.1
  See Also:
    `setActivationWindow`

### setActivationWindow

    public void setActivationWindow(java.awt.Window window)

  Set the activation window. If the window is an instance of a Dialog and the is modal, modallyActivated help is set to true and ownerDialog is set to the window. In all other instances modallyActivated is set to false and ownerDialog is set to null.

  Parameters:
    `window` - the activating window
  Since:
    1.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD